Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class RelationshipDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.SystemObjectDefinition

                  |

                  +--oracle.ifs.beans.RelationshipDefinition

Direct Known Subclasses:
  FolderRelationshipDefinition, GroupMemberRelationshipDefinition

public class RelationshipDefinition
extends SystemObjectDefinition

The RelationshipDefinition class is used to construct a Relationship between two public objects. This subclass of SystemObjectDefintion only sets the default ClassObject to "RELATIONSHIP"; all other behavior is inherited.
In order to relate one public object to another, you need to specify the "rightside" public object in this definition object, then pass this definition to the "leftside" publicobject in the addRelationship method. For Example: `PublicObject leftPO, rightPO; ... RelationshipDefinition rdef = new RelationshipDefinition(session); AttributeValue av = AttributeValue.newAttributeValue(rightPO); RelationshipDefinition.setAttribute(Relationship.RIGHTOBJECT_ATTRIBUTE, av); leftPO.addRelationship(rdef);`

Constructor Summary
`RelationshipDefinition(LibrarySession session)` Constructs a RelationshipDefinition explicitly capturing the session.

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### RelationshipDefinition

    public RelationshipDefinition(LibrarySession session)
                           throws IfsException

  Constructs a RelationshipDefinition explicitly capturing the session.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD